Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspaceId
string
required

Workspace id

Body

application/json
name
required
Example:
do
object[]
required
description
Example:
private
boolean

Set this to true if you don't want your automation to be accessible outside of your app. Default is false.

Example:

false

disabled
boolean

Set this to true if you want to turn off this automation.

Example:

true

slug
string

Unique & human readable id across current workspace's automations

arguments
object
validateArguments
boolean
when
object
labels
string[]
Pattern: ^[0-9A-Za-z._:-]{2,60}$
events
object
updatedAt
string
createdAt
string
updatedBy
string
createdBy
string
checksum
string
output
any

Automation result expression. Might be a variable reference, an object/array with variables inside ...

Example:

"{{result}}"

authorizations
object

Response

Success Response

name
required
Example:
do
object[]
required
description
Example:
private
boolean

Set this to true if you don't want your automation to be accessible outside of your app. Default is false.

Example:

false

disabled
boolean

Set this to true if you want to turn off this automation.

Example:

true

slug
string

Unique & human readable id across current workspace's automations

arguments
object
validateArguments
boolean
when
object
labels
string[]
Pattern: ^[0-9A-Za-z._:-]{2,60}$
events
object
updatedAt
string
createdAt
string
updatedBy
string
createdBy
string
checksum
string
output
any

Automation result expression. Might be a variable reference, an object/array with variables inside ...

Example:

"{{result}}"

authorizations
object